import Vue from 'vue';
import * as common from 'schema-based-json-editor';
export * from 'schema-based-json-editor';
import { MarkdownItType, HLJS } from 'schema-based-json-editor/dist/libs';
export declare class JSONEditor extends Vue {
    theme: string;
    locale: common.Locale;
    icon: string;
    markdownit: MarkdownItType;
    hljs: HLJS;
    forceHttps: boolean;
    themeObject: {
        rowContainer: string;
        row: string;
        formControl: string;
        button: string;
        help: string;
        errorRow: string;
        label: string;
        optionalCheckbox: string;
        buttonGroup: string;
        radiobox: string;
    };
    readonly localeObject: {
        button: {
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        };
        error: {
            minLength: string;
            maxLength: string;
            pattern: string;
            minimum: string;
            maximum: string;
            largerThan: string;
            smallerThan: string;
            minItems: string;
            uniqueItems: string;
            multipleOf: string;
            minProperties: string;
            maxProperties: string;
        };
        info: {
            notExists: string;
            true: string;
            false: string;
            search: string;
        };
        markdownTipLocale: {
            text: string;
            title: string;
        }[];
        fileUploaderLocale: {
            dragAndDrop: string;
            selectFile: string;
            pasteFromClipboard: string;
        };
    };
    readonly iconObject: {
        isText: boolean;
        collapse: string;
        expand: string;
        add: string;
        delete: string;
    };
    md: any;
    updateValue(value: common.ValueType): void;
}
